First GNOME 2.17 build

Thursday, October 5, 2006 11:47 - GNOME

I just went through building GNOME 2.17 and only faced a few minor problems before getting a complete build, much better than when I started with 2.15.

Current issues:

  • dbus-glib, the same as ever, it needs a running D-Bus or a manual copy of the introspect file
  • evolution-data-server, problem linking against xulrunner, but it is more of a xulrunner problem than anything else, fixed once xulrunner libs were added to LD_LIBRARY_PATH
  • epiphany, build error related to ToNewUnicode, I already saw this before, hand patched
  • ekiga, CVS requires newer versions of pwlib and Opal, fixed by updating module set to get CVS HEAD for those but this does not match the external dependencies list. Damien, Elijah, comments ?
  • gnome-power-manager, minor issue wrt configure.in and libnotify, sent bug report, got ack, applied patch, issue fixed, thanks Richard.

I just started a new build against jhbuild.bxlug.be, hope it goes as fine.

Update: I forgot a build error in libglade related to detection of autoconf 2.6* (bug 348579). Also I didn't have the time to have a proper look to the epiphany problem but Christian Persch fixed it, wow.

Last Modification: Friday, October 6, 2006 10:38

The correct fix for the ekiga issue is to use an old revision from cvs (e.g. v2_0_3) until they request for pwlib and opal versions to be bumped as specified at the wiki page you linked to.

Also, I'm starting to work on converting gnome-2.18.modules to use tarball modules instead of cvs for external dependencies. Hopefully I'll have it done soon...

Comment by Elijah Newren on October 5, 2006 22:22

The next release of dbus-glib will fix the build-time introspection issue. When do you need it by? :)

Comment by Rob Taylor on October 6, 2006 17:44

The workaround is easy enough, no need to rush anything for me :)

Comment by Frédéric Péters on October 6, 2006 17:50

Comments on this entry have been closed.